Bug 145270 - ldapadd show random characters in error message
ldapadd show random characters in error message
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-16 07:07 EST by Niels Basjes
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.27-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 10:44:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels Basjes 2005-01-16 07:07:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
From the commandline I do an ldapadd of an ldif file and all the
relevant information is added to my LDAP directory.
If I run the exact same command for a second (or third) time then I
get error messages that the extries already exist (this error message
is correct).

There is however a problem with the message itself:

---------------------------------
adding new entry "cn=N. Basjes, ou=Familie, ou=Users, o=Basjes, c=NL"
ldap_add: Already exists (68)
        additional info: `
---------------------------------

The string behind the "additional info:" seemds to be completely
random. My instinct tells me this is most likely somekind of buffer
overflow or missing \0 terminator.






Version-Release number of selected component (if applicable):
openldap-2.2.13-2

How reproducible:
Always

Steps to Reproduce:
1. Create a valid ldif file with one or more records. You will have a
better chance of seeing the corrupted strings if you have something
like 10 or 20 records in the test.ldif

2. Do:  ldapadd -c -D"cn=XXX" -h XXX -wXXX -x < test.ldif
   In this command replace the XXX with the parameters valid for your
ldap.
   The records are added to the ldap without errors.

3. Run the same command the second time and you will most likely have
corrupted strings on the screen.


Actual Results:  Corrupted text on the screen.

Expected Results:  Either no message or a valid message.

Additional info:

Possibly related to Bug 144992
Comment 1 Matthew Miller 2006-07-10 18:43:13 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Jan Safranek 2007-04-23 10:44:53 EDT
The bug was fixed somewhere between FC3 and FC6 - openldap-2.3.27-4.fc6 does not
produce such buggy error output.

Note You need to log in before you can comment on or make changes to this bug.